Subject: bug#7802: bug #7802: 24.0.50; Extraneous `mouse-3' event when do `double-mouse-3'

From: Chong Yidong <[email-masked]>
Date: Fri, 14 Jan 2011 22:29:58 -0500

"Drew Adams" <[email-masked]> writes:

>> I vaguely recall that we used to try to separate single clicks from
>> double-click, and the resulting user experience was rather poor.  So
>> it should not be the default, but rather anyone who cares about this
>> issue can do as described above.

> Are you sure about your "I vaguely recall"?  I am not aware that we ever, ever
> separated the two like you say.  That's certainly not the case at least as far
> back as Emacs 20.

I think that when mouse-1-click-follows-link was first introduced, the
implementation did pause to check for a double-click binding before
following the link.  That would have been for Emacs 22.